>From d59670fcfe7b2aecbc22aba1ff273fc7c1a6cb60 Mon Sep 17 00:00:00 2001
From: Joseph Tulou <brezhoneg1@yahoo.fr>
Date: Fri, 30 Jan 2009 17:29:59 +0100
Subject: [PATCH] support for vout-filter

---
 modules/video_filter/filter_common.h |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

diff --git a/modules/video_filter/filter_common.h b/modules/video_filter/filter_common.h
index 2efc052..83cc908 100644
--- a/modules/video_filter/filter_common.h
+++ b/modules/video_filter/filter_common.h
@@ -90,11 +90,15 @@ static int SetParentVal( vlc_object_t *p_this, char const *psz_var,
 
 #define ADD_PARENT_CALLBACKS( handler ) \
     var_AddCallback( p_vout, "fullscreen", handler, NULL );                   \
+    var_AddCallback( p_vout, "autoscale", handler, NULL );                    \
+    var_AddCallback( p_vout, "scale-factor", handler, NULL );                 \
     var_AddCallback( p_vout, "aspect-ratio", handler, NULL );                 \
     var_AddCallback( p_vout, "crop", handler, NULL );
 
 #define DEL_PARENT_CALLBACKS( handler ) \
     var_DelCallback( p_vout, "fullscreen", handler, NULL );                   \
+    var_DelCallback( p_vout, "autoscale", handler, NULL );                    \
+    var_DelCallback( p_vout, "scale-factor", handler, NULL );                 \
     var_DelCallback( p_vout, "aspect-ratio", handler, NULL );                 \
     var_DelCallback( p_vout, "crop", handler, NULL );
 
-- 
1.5.2.5

